import Vue from 'vue'
import Router from 'vue-router'
import App from './app/index'
import generatedRouter from './generatedRouter'

Vue.use(Router)

export const constantRouterMap = [...App, ...generatedRouter] // 静态路由
export default new Router({
  mode: 'hash', //路由模式
  base: process.env.BASE_URL,
  routes: [...constantRouterMap],
  scrollBehavior: () => ({
    y: 0
  })
})
